Bug 90627 - [NEW PORTS] multimedia/quodlibet
[NEW PORTS] multimedia/quodlibet
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 02:10 UTC by bh
Modified: 2005-12-28 01:01 UTC (History)
0 users

See Also:


Attachments
quodlibet.shar (19.21 KB, text/plain)
2005-12-19 02:10 UTC, bh
no flags Details
ports-quodlibet-20051221.shar (20.41 KB, application/x-shar)
2005-12-22 03:15 UTC, bh
no flags Details
ports-quodlibet-20051221.txt (19.78 KB, text/plain; charset=us-ascii)
2005-12-22 03:38 UTC, bh
no flags Details
ports-quodlibet-20051224.txt (19.82 KB, text/plain)
2005-12-24 06:57 UTC, bh
no flags Details
ports-quodlibet-20051225.txt (20.42 KB, text/plain; charset=us-ascii)
2005-12-25 03:04 UTC, bh
no flags Details
ports-quodlibet-20051226.txt (20.59 KB, text/plain; charset=us-ascii)
2005-12-25 10:45 UTC, bh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bh 2005-12-19 02:10:01 UTC
Quod Libet is a GTK+-based audio player written in Python.
Comment 1 Emanuel Haupt freebsd_committer 2005-12-19 20:10:36 UTC
Are you willing to maintain this port? New ports must have a maintainer.

Emanuel
-- 
GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 2 Emanuel Haupt freebsd_committer 2005-12-19 20:12:26 UTC
State Changed
From-To: open->feedback

Ask submitter to maintain new port. New ports must have a maintainer.
Comment 3 bh 2005-12-19 20:49:18 UTC
On Mon, Dec 19, 2005 at 09:10:36PM +0100, Emanuel Haupt wrote:
> Are you willing to maintain this port? New ports must have a maintainer.

Yes, I hope so.

-- 
Byung-Hee
Comment 4 Emanuel Haupt freebsd_committer 2005-12-19 20:57:23 UTC
> > Are you willing to maintain this port? New ports must have a
> > maintainer.
> 
> Yes, I hope so.

In this case may I replace 'ports@FreeBSD.org' with 'bh@izb.knu.ac.kr'?

-- 
GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 5 bh 2005-12-19 21:07:01 UTC
On Mon, Dec 19, 2005 at 09:57:23PM +0100, Emanuel Haupt wrote:
> > > Are you willing to maintain this port? New ports must have a
> > > maintainer.
> > 
> > Yes, I hope so.
> 
> In this case may I replace 'ports@FreeBSD.org' with 'bh@izb.knu.ac.kr'?

Yes, you may.

-- 
Byung-Hee
Comment 6 bh 2005-12-20 19:59:14 UTC
On Mon, Dec 19, 2005 at 09:20:08PM +0000, Byung-Hee HWANG wrote:
[...snip...] 
>  On Mon, Dec 19, 2005 at 09:57:23PM +0100, Emanuel Haupt wrote:
>  > > > Are you willing to maintain this port? New ports must have a
>  > > > maintainer.
>  > > 
>  > > Yes, I hope so.
>  > 
>  > In this case may I replace 'ports@FreeBSD.org' with 'bh@izb.knu.ac.kr'?
>  
>  Yes, you may.

And now, I clean up another spot in Makefile. The patch is here:

--- quodlibet_Makefile_DISTNAME.patch begins here ---
--- Makefile.orig       2005-12-19 16:21:23.612127000 -0700
+++ Makefile    2005-12-20 12:10:57.299394973 -0700
@@ -10,7 +10,7 @@
 CATEGORIES=    multimedia audio
 MASTER_SITES=  http://www.sacredchao.net/~piman/software/ \
                http://izb.knu.ac.kr/~bh/software/
-DISTNAME=      quodlibet-${PORTVERSION}
+DISTNAME=      ${PORTNAME}-${PORTVERSION}

 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       A GTK+-based audio player written in Python
--- quodlibet_Makefile_DISTNAME.patch ends here ---

-- 
Byung-Hee
Comment 7 Edwin Groothuis freebsd_committer 2005-12-21 00:46:17 UTC
State Changed
From-To: feedback->open

feedback received
Comment 8 Edwin Groothuis freebsd_committer 2005-12-21 04:35:46 UTC
State Changed
From-To: open->feedback

Checking for PyGTK >= 2.6: 
Traceback (most recent call last): 
File "./check.py", line 20, in ? 
import gtk 
File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ? 
from _gtk import * 
RuntimeError: could not open display 

I take it this is an X issue. Wonder how other ports which require 
X and sometimes require a terminal handle this on the package 
building system.
Comment 9 bh 2005-12-21 09:57:43 UTC
On Wed, Dec 21, 2005 at 04:37:38AM +0000, Edwin Groothuis wrote:
>   File "./check.py", line 20, in ?
>     import gtk
>   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>     from _gtk import *
> RuntimeError: could not open display
> 
> I take it this is an X issue. Wonder how other ports which require
> X and sometimes require a terminal handle this on the package
> building system.

Okay, I fixed it. The patch is here:

--- patch begins here ---
--- Makefile.orig       2005-11-11 08:06:26.000000000 -0700
+++ Makefile    2005-12-21 02:21:55.068872752 -0700
@@ -7,7 +7,7 @@
 all:
        @/bin/echo -n "Checking for Python... "
        @which python || ( echo "Not found." && /bin/false )
-       @./check.py
+       @env DISPLAY=:0.0 ./check.py

 make-install-dirs:
        mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
--- patch ends here ---

I've put all the updated shar files, too. Please, check out below:
http://izb.knu.ac.kr/~bh/diffs/ports-quodlibet-20051221.shar

-- 
Byung-Hee
Comment 10 bh 2005-12-21 22:08:29 UTC
On Wed, Dec 21, 2005 at 10:00:19AM +0000, Byung-Hee HWANG wrote:
>  On Wed, Dec 21, 2005 at 04:37:38AM +0000, Edwin Groothuis wrote:
>  >   File "./check.py", line 20, in ?
>  >     import gtk
>  >   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>  >     from _gtk import *
>  > RuntimeError: could not open display
>  > 
>  > I take it this is an X issue. Wonder how other ports which require
>  > X and sometimes require a terminal handle this on the package
>  > building system.
>  
>  Okay, I fixed it. The patch is here:
[...snip...]
After submit this patch, I found out a weak spot about the patch.
I am very sorry for that. The patch leaves much to be desired.
Wait for me until the problem solved.

Sincerely,

-- 
Byung-Hee
Comment 11 bh 2005-12-22 03:15:01 UTC
On Wed, Dec 21, 2005 at 10:10:07PM +0000, Byung-Hee HWANG wrote:
> The following reply was made to PR ports/90627; it has been noted by GNATS.
> 
> From: Byung-Hee HWANG <bh@izb.knu.ac.kr>
> To: bug-followup@FreeBSD.org
> Cc: edwin@FreeBSD.org
> Subject: Re: ports/90627: [NEW PORTS] multimedia/quodlibet
> Date: Thu, 22 Dec 2005 07:08:29 +0900
> 
>  On Wed, Dec 21, 2005 at 10:00:19AM +0000, Byung-Hee HWANG wrote:
>  >  On Wed, Dec 21, 2005 at 04:37:38AM +0000, Edwin Groothuis wrote:
>  >  >   File "./check.py", line 20, in ?
>  >  >     import gtk
>  >  >   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>  >  >     from _gtk import *
>  >  > RuntimeError: could not open display
>  >  > 
>  >  > I take it this is an X issue. Wonder how other ports which require
>  >  > X and sometimes require a terminal handle this on the package
>  >  > building system.
[...snip...]

Reference: PR 53489

viola# echo $DISPLAY
DISPLAY: Undefined variable.
viola# make configure
===>  Vulnerability check disabled, database not found
...
...
...
===>  Configuring for quodlibet-0.15
/usr/X11R6/bin/Xvfb :1001 -screen 0 800x600x24 > /dev/null 2>&1 & echo
$! >  /usr/ports/multimedia/quodlibet/work/.Xvfb.pid
Checking Python version: 2.4
Checking for PyGTK >= 2.6: found
Checking for PyGSt >= 0.8.2: found
...
...
...

Okay, it works fine. I reattach updated shar file.

Sincerely,

-- 
Byung-Hee
Comment 12 bh 2005-12-22 03:38:30 UTC
On Thu, Dec 22, 2005 at 03:20:10AM +0000, Byung-Hee HWANG wrote:
> The following reply was made to PR ports/90627; it has been noted by GNATS.
> 
> From: Byung-Hee HWANG <bh@izb.knu.ac.kr>
> To: bug-followup@FreeBSD.org
> Cc: edwin@FreeBSD.org
> Subject: Re: ports/90627: [NEW PORTS] multimedia/quodlibet
> Date: Thu, 22 Dec 2005 12:15:01 +0900
> 
>  On Wed, Dec 21, 2005 at 10:10:07PM +0000, Byung-Hee HWANG wrote:
>  >  On Wed, Dec 21, 2005 at 10:00:19AM +0000, Byung-Hee HWANG wrote:
>  >  >  On Wed, Dec 21, 2005 at 04:37:38AM +0000, Edwin Groothuis wrote:
>  >  >  >   File "./check.py", line 20, in ?
>  >  >  >     import gtk
>  >  >  >   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>  >  >  >     from _gtk import *
>  >  >  > RuntimeError: could not open display
>  >  >  > 
>  >  >  > I take it this is an X issue. Wonder how other ports which require
>  >  >  > X and sometimes require a terminal handle this on the package
>  >  >  > building system.
>  [...snip...]
>  
>  Reference: PR 53489
>  
>  viola# echo $DISPLAY
>  DISPLAY: Undefined variable.
>  viola# make configure
>  ===>  Vulnerability check disabled, database not found
>  ...
>  ...
>  ...
>  ===>  Configuring for quodlibet-0.15
>  /usr/X11R6/bin/Xvfb :1001 -screen 0 800x600x24 > /dev/null 2>&1 & echo
>  $! >  /usr/ports/multimedia/quodlibet/work/.Xvfb.pid
>  Checking Python version: 2.4
>  Checking for PyGTK >= 2.6: found
>  Checking for PyGSt >= 0.8.2: found
>  ...
>  ...
>  ...
>  
>  Okay, it works fine. I reattach updated shar file.

I mistaked in attach file. Sorry for that, indeed.
I reattach the shar file, again. 

Sincerely,

-- 
Byung-Hee
Comment 13 bh 2005-12-22 04:49:36 UTC
On Thu, Dec 22, 2005 at 03:40:04AM +0000, Byung-Hee HWANG wrote:
>  On Thu, Dec 22, 2005 at 03:20:10AM +0000, Byung-Hee HWANG wrote:
>  >  On Wed, Dec 21, 2005 at 10:10:07PM +0000, Byung-Hee HWANG wrote:
>  >  >  On Wed, Dec 21, 2005 at 10:00:19AM +0000, Byung-Hee HWANG wrote:
>  >  >  >  On Wed, Dec 21, 2005 at 04:37:38AM +0000, Edwin Groothuis wrote:
>  >  >  >  >   File "./check.py", line 20, in ?
>  >  >  >  >     import gtk
>  >  >  >  >   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>  >  >  >  >     from _gtk import *
>  >  >  >  > RuntimeError: could not open display
>  >  >  >  > 
>  >  >  >  > I take it this is an X issue. Wonder how other ports which require
>  >  >  >  > X and sometimes require a terminal handle this on the package
>  >  >  >  > building system.
>  >  [...snip...]
>  >  
>  >  Reference: PR 53489
>  >  
>  >  viola# echo $DISPLAY
>  >  DISPLAY: Undefined variable.
>  >  viola# make configure
>  >  ===>  Vulnerability check disabled, database not found
>  >  ...
>  >  ...
>  >  ...
>  >  ===>  Configuring for quodlibet-0.15
>  >  /usr/X11R6/bin/Xvfb :1001 -screen 0 800x600x24 > /dev/null 2>&1 & echo
>  >  $! >  /usr/ports/multimedia/quodlibet/work/.Xvfb.pid
>  >  Checking Python version: 2.4
>  >  Checking for PyGTK >= 2.6: found
>  >  Checking for PyGSt >= 0.8.2: found
>  >  ...
>  >  ...
>  >  ...
>  >  
>  >  Okay, it works fine. I reattach updated shar file.

This is build log and screenshot.
http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-build-log-20051221.txt
http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-ss-20051221.png

Sincerely,

-- 
Byung-Hee
Comment 14 bh 2005-12-23 00:01:54 UTC
Hi,
Yesterday, I submitted the ports of audio program [quodlibet, PR90627].
(The quodlibet is still not committed.) That is written in python.
However, the category is only "multimedia audio".

To resume our story, I wonder which I am choosing the right category or
not. I consider that (to be) a part of python. Therefore, I hope to add
"python" in category, too.

--- patch begins here ---
--- Makefile.orig       2005-12-22 16:25:35.399921000 -0700
+++ Makefile    2005-12-22 16:25:55.269612326 -0700
@@ -7,7 +7,7 @@

 PORTNAME=      quodlibet
 PORTVERSION=   0.15
-CATEGORIES=    multimedia audio
+CATEGORIES=    multimedia audio python
 MASTER_SITES=  http://www.sacredchao.net/~piman/software/ \
                http://izb.knu.ac.kr/~bh/software/
 DISTNAME=      ${PORTNAME}-${PORTVERSION}
--- patch ends here ---

How do you think about this?

Sincerely,

-- 
Byung-Hee
Comment 15 bh 2005-12-24 06:57:13 UTC
On Wed, 21 Dec 2005 04:37:38 GMT, Edwin Groothuis wrote:
> Synopsis: [NEW PORTS] multimedia/quodlibet
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Wed Dec 21 04:35:46 UTC 2005
> State-Changed-Why: 
> Checking for PyGTK >= 2.6:
> Traceback (most recent call last):
>   File "./check.py", line 20, in ?
>     import gtk
>   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>     from _gtk import *
> RuntimeError: could not open display
> 
> I take it this is an X issue. Wonder how other ports which require
> X and sometimes require a terminal handle this on the package
> building system.

I fixed it. And now, I re-submit updated shar files. It's 3rd.

Sincerely,

-- 
Byung-Hee
Comment 16 bh 2005-12-24 08:58:15 UTC
On Sat, 24 Dec 2005 07:00:23 GMT, Byung-Hee HWANG wrote: 
>  On Wed, 21 Dec 2005 04:37:38 GMT, Edwin Groothuis wrote:
>  > Synopsis: [NEW PORTS] multimedia/quodlibet
>  > 
>  > State-Changed-From-To: open->feedback
>  > State-Changed-By: edwin
>  > State-Changed-When: Wed Dec 21 04:35:46 UTC 2005
>  > State-Changed-Why: 
>  > Checking for PyGTK >= 2.6:
>  > Traceback (most recent call last):
>  >   File "./check.py", line 20, in ?
>  >     import gtk
>  >   File "/usr/local/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
>  >     from _gtk import *
>  > RuntimeError: could not open display
>  > 
>  > I take it this is an X issue. Wonder how other ports which require
>  > X and sometimes require a terminal handle this on the package
>  > building system.
>  
>  I fixed it. And now, I re-submit updated shar files. It's 3rd.

This is my build-log and screenshot.
http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-build-log-20051224.txt
http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-ss-20051224.png

Sincerely,

-- 
Byung-Hee
Comment 17 bh 2005-12-25 03:04:48 UTC
- Reduced dependency
- Fixed pkg-plist

It's last submit in 2005. Happy New Year!

Sincerely,
 
-- 
Byung-Hee
Comment 18 bh 2005-12-25 10:45:25 UTC
On Sun, 25 Dec 2005 14:15:35 +1100, Edwin Groothuis wrote:
> On Sun, Dec 25, 2005 at 03:10:06AM +0000, Byung-Hee HWANG wrote:
> >  It's last submit in 2005. Happy New Year!
> 
> Am still building it. That thing has more prerequisites than anything
> else I've seen. And the last three days I couldn't compile these
> due to libtool/pthread/libsoup-and-friends related problems.

Well, I have no idea about the problem. Sorry for that.
It's really last submit in this year!  

+- Reduced dependency
+- Fixed pkg-plist
+- Added USE_GSTREAMER flag
+- Marked broken as FreeBSD Version

I did my very best. See you next year :-)

Sincerely,

-- 
Byung-Hee
Comment 19 bh 2005-12-26 14:06:19 UTC
On Sun, 25 Dec 2005 14:15:35 +1100, Edwin Groothuis wrote:
> On Sun, Dec 25, 2005 at 03:10:06AM +0000, Byung-Hee HWANG wrote:
> >  It's last submit in 2005. Happy New Year!
> 
> Am still building it. That thing has more prerequisites than anything
> else I've seen. And the last three days I couldn't compile these
> due to libtool/pthread/libsoup-and-friends related problems.
         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
% pkg_info | grep libtool-1.5
libtool-1.5.22		// build failure
libtool-1.5.22_1	// build success

See below:
http://lists.freebsd.org/pipermail/freebsd-ports/2005-December/028373.html

Sincerely,

-- 
Byung-Hee
Comment 20 pav freebsd_committer 2005-12-27 05:30:49 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 21 pav freebsd_committer 2005-12-28 01:01:30 UTC
State Changed
From-To: open->closed

New port added with fixes!